package examplewindow;

import java.awt.Container;
import java.awt.EventQueue;
import javax.swing.BorderFactory;
import javax.swing.GroupLayout;
import javax.swing.GroupLayout.Alignment;
import javax.swing.GroupLayout.ParallelGroup;
import javax.swing.GroupLayout.SequentialGroup;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JPanel;
import javax.swing.JProgressBar;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;
import javax.swing.JTabbedPane;
import javax.swing.JToolBar;
import javax.swing.JTree;
import javax.swing.LayoutStyle.ComponentPlacement;

public class JavaWindow
  extends JFrame
{
  private JButton jButton2;
  private JButton jButton4;
  private JButton jButton5;
  private JMenu jMenu1;
  private JMenu jMenu2;
  private JMenuBar jMenuBar1;
  private JPanel jPanel1;
  private JProgressBar jProgressBar1;
  private JScrollPane jScrollPane1;
  private JSplitPane jSplitPane1;
  private JTabbedPane jTabbedPane1;
  private JToolBar jToolBar1;
  private JTree jTree1;
  private JButton plotMesh;
  private JButton showWarnDlg;
  
  public JavaWindow()
  {
    initComponents();
  }
  
  public JButton getPlotMeshButton()
  {
    return plotMesh;
  }
  
  public JButton getShowWarnDlgButton()
  {
    return showWarnDlg;
  }
  
  private void initComponents()
  {
    jButton2 = new JButton();
    jToolBar1 = new JToolBar();
    jButton4 = new JButton();
    jButton5 = new JButton();
    jTabbedPane1 = new JTabbedPane();
    jSplitPane1 = new JSplitPane();
    jScrollPane1 = new JScrollPane();
    jTree1 = new JTree();
    jPanel1 = new JPanel();
    plotMesh = new JButton();
    showWarnDlg = new JButton();
    jProgressBar1 = new JProgressBar();
    jMenuBar1 = new JMenuBar();
    jMenu1 = new JMenu();
    jMenu2 = new JMenu();
    
    jButton2.setText("jButton2");
    
    setDefaultCloseOperation(3);
    setTitle("Java Window Example");
    
    jToolBar1.setBorder(BorderFactory.createBevelBorder(0));
    jToolBar1.setRollover(true);
    
    jButton4.setText("button1");
    jButton4.setFocusable(false);
    jButton4.setHorizontalTextPosition(0);
    jButton4.setVerticalTextPosition(3);
    jToolBar1.add(jButton4);
    
    jButton5.setText("button2");
    jButton5.setFocusable(false);
    jButton5.setHorizontalTextPosition(0);
    jButton5.setVerticalTextPosition(3);
    jToolBar1.add(jButton5);
    
    jScrollPane1.setViewportView(jTree1);
    
    jSplitPane1.setLeftComponent(jScrollPane1);
    
    plotMesh.setText("Plot Mesh");
    
    showWarnDlg.setText("Show Matlab Warn Dialog");
    
    GroupLayout jPanel1Layout = new GroupLayout(jPanel1);
    jPanel1.setLayout(jPanel1Layout);
    jPanel1Layout.setHorizontalGroup(jPanel1Layout.createParallelGroup(GroupLayout.Alignment.LEADING).addGroup(jPanel1Layout.createSequentialGroup().addContainerGap().addGroup(jPanel1Layout.createParallelGroup(GroupLayout.Alignment.LEADING).addComponent(plotMesh).addComponent(showWarnDlg)).addContainerGap(129, 32767)));
    







    jPanel1Layout.setVerticalGroup(jPanel1Layout.createParallelGroup(GroupLayout.Alignment.LEADING).addGroup(jPanel1Layout.createSequentialGroup().addContainerGap().addComponent(plotMesh).addPreferredGap(LayoutStyle.ComponentPlacement.UNRELATED).addComponent(showWarnDlg).addContainerGap(100, 32767)));
    








    jSplitPane1.setRightComponent(jPanel1);
    
    jTabbedPane1.addTab("tab1", jSplitPane1);
    
    jProgressBar1.setValue(50);
    
    jMenu1.setText("File");
    jMenuBar1.add(jMenu1);
    
    jMenu2.setText("Edit");
    jMenuBar1.add(jMenu2);
    
    setJMenuBar(jMenuBar1);
    
    GroupLayout layout = new GroupLayout(getContentPane());
    getContentPane().setLayout(layout);
    layout.setHorizontalGroup(layout.createParallelGroup(GroupLayout.Alignment.LEADING).addComponent(jToolBar1, -1, 400, 32767).addGroup(layout.createSequentialGroup().addGap(10, 10, 10).addComponent(jTabbedPane1, -1, 380, 32767).addGap(10, 10, 10)).addGroup(GroupLayout.Alignment.TRAILING, layout.createSequentialGroup().addContainerGap(244, 32767).addComponent(jProgressBar1, -2, -1, -2).addContainerGap()));
    










    layout.setVerticalGroup(layout.createParallelGroup(GroupLayout.Alignment.LEADING).addGroup(layout.createSequentialGroup().addComponent(jToolBar1, -2, 25, -2).addGap(18, 18, 18).addComponent(jTabbedPane1, -2, 198, -2).addPreferredGap(LayoutStyle.ComponentPlacement.RELATED).addComponent(jProgressBar1, -2, -1, -2).addContainerGap(13, 32767)));
    









    pack();
  }
  
  public static void main(String[] args)
  {
    EventQueue.invokeLater(new Runnable()
    {
      public void run()
      {
        new JavaWindow().setVisible(true);
      }
    });
  }
}
